import { getAttempts } from "@/app/lib/attempt/action";
import { Box, Text } from "@chakra-ui/react";
import AttemptTable from "./components/table";

const List = async () => {
  const attempts = await getAttempts();
  
  return (
    <Box pt={{ base: "130px", md: "80px", xl: "80px" }} mb="20px">
      {attempts && attempts.data && Array.isArray(attempts.data) && attempts.data.length > 0 ? (
        <AttemptTable attempts={attempts.data} /> 
      ) : (
        <Text>No attempts records available</Text>
      )}
    </Box>
  );
};

export default List;
